

DECLARE @tempdbDataFileCount int;
DECLARE @suggestedDataFilecount int;

-- checks current number of tempdb data files
SELECT @tempdbDataFileCount = COUNT(*) FROM sys.master_files 
WHERE database_id = DB_ID('tempdb') AND type_desc = 'ROWS';

-- suggests ideal number of tempdb data files (subject to testing)

SELECT 
    @suggestedDataFilecount = 
	   CASE WHEN cpu_count <= 8 THEN cpu_count 
    ELSE 8 END  
FROM sys.dm_os_sys_info;

IF @tempdbDataFileCount <> @suggestedDataFilecount
BEGIN
    Select N'Count of tempdb data files = ' + CONVERT(nvarchar(10), @tempdbDataFileCount) as Info
    UNION ALL
	Select N'Ideal number of tempdb data files = ' 
		+ CONVERT(nvarchar(10), @suggestedDataFilecount)
		+ '. This should ideally be implemented after testing.' ;
END 
GO

--> if youre seeing in-memory contention, add 4 more files at a time