
use tempdb 
go

SET NOCOUNT ON;
CREATE TABLE dbo.tabFrag
(
      ID INT NOT NULL IDENTITY(1,1)
    , Frag VARCHAR(800)
)
GO
 
CREATE CLUSTERED INDEX PK_tabFrag_ID
    ON dbo.tabFrag (ID ASC)
GO
 
CREATE NONCLUSTERED INDEX IX_tabFrag_Frag
    ON dbo.tabFrag (Frag ASC)
GO
 

 --> insert test data
INSERT INTO dbo.tabFrag (Frag) VALUES ('1')
GO 3000



--> check fragmentation
select    OBJECT_NAME(object_id) AS Table_Name
        , index_type_desc
        , index_depth
        , index_level
        , avg_fragmentation_in_percent
        , fragment_count
        , avg_fragment_size_in_pages
        , page_count
        , avg_page_space_used_in_percent
        , record_count
        , forwarded_record_count
from sys.dm_db_index_physical_stats(db_id(),default,default,default,DEFAULT)
where object_id = object_id('tabFrag')
GO


ALTER INDEX  PK_tabFrag_ID ON tabFrag REBUILD 
GO


select    OBJECT_NAME(object_id) AS Table_Name
        , index_type_desc
        , index_depth
        , index_level
        , avg_fragmentation_in_percent
        , fragment_count
        , avg_fragment_size_in_pages
        , page_count
        , avg_page_space_used_in_percent
        , record_count
        , forwarded_record_count
from sys.dm_db_index_physical_stats(db_id(),default,default,default,DEFAULT)
where object_id = object_id('tabFrag')
GO

ALTER INDEX ALL ON dbo.tabFrag REBUILD
go

select    OBJECT_NAME(object_id) AS Table_Name
        , index_type_desc
        , index_depth
        , index_level
        , avg_fragmentation_in_percent
        , fragment_count
        , avg_fragment_size_in_pages
        , page_count
        , avg_page_space_used_in_percent
        , record_count
        , forwarded_record_count
from sys.dm_db_index_physical_stats(db_id(),default,default,default,DEFAULT)
where object_id = object_id('tabFrag')
GO


DROP TABLE dbo.tabFrag
GO
