
/*variabili tabella */

USE [tempdb]; 
GO 

--Declare a table variable 
DECLARE @t TABLE(
                 Id int , 
                 Col char( 1 ),
			  Col2 char( 2 )); 
--Get Table Variable Definition 
SELECT
       t.NAME , 
       c.name , 
       ty.name , 
       c.max_length
  FROM tempdb.sys.tables AS t
       INNER JOIN tempdb.sys.columns AS c ON t.object_id = c.object_id
       INNER JOIN tempdb.sys.types AS ty ON c.system_type_id = ty.system_type_id
  WHERE t.name LIKE '#%';


/* ******************************************** */
/* demo 2 */

-- Get Current Session ID
SELECT @@SPID AS Current_SessionID
-- Check the space usage in page files
SELECT user_objects_alloc_page_count
FROM sys.dm_db_session_space_usage
WHERE session_id = (SELECT @@SPID )
GO

-- Create Temp Table and insert three thousand rows
CREATE TABLE #TempTable (Col1 INT)
INSERT INTO #TempTable (Col1)
SELECT TOP 3000 ROW_NUMBER() OVER(ORDER BY a.name)
FROM sys.all_objects a
CROSS JOIN sys.all_objects b
 GO

-- Check the space usage in page files
SELECT user_objects_alloc_page_count
FROM sys.dm_db_session_space_usage
WHERE session_id = (SELECT @@SPID )
GO

-- Create Table Variable and insert three thousand rows
DECLARE @temp TABLE(Col1 INT)
INSERT INTO @temp (Col1)
SELECT TOP 3000 ROW_NUMBER() OVER(ORDER BY a.name)
FROM sys.all_objects a
CROSS JOIN sys.all_objects b
 GO

-- Check the space usage in page files
SELECT user_objects_alloc_page_count
FROM sys.dm_db_session_space_usage
WHERE session_id = (SELECT @@SPID )
GO
-- Clean up
DROP TABLE #TempTable
GO
