
/* NOLOCK 1 */

USE AdventureWorks2012;
GO
--Check the locks acquired during a normal UPDATE
BEGIN TRANSACTION NormalUpdate
    UPDATE hredh
    SET hredh.ShiftID = 2
    FROM HumanResources.EmployeeDepartmentHistory AS hredh
    WHERE hredh.BusinessEntityID = 215;

    --Check the nature of the locks applied
    SELECT sdtl.request_type,
           sdtl.request_status,
           sdtl.request_mode,
           sdtl.resource_type,
           DB_NAME(sdtl.resource_database_id) AS DatabaseName
    FROM sys.dm_tran_locks AS sdtl;
ROLLBACK TRANSACTION NormalUpdate
GO

USE AdventureWorks2012;
GO
--Check the locks acquired during an UPDATE WITH (NOLOCK)
BEGIN TRANSACTION UpdateWithNolock
    UPDATE hredh
    SET hredh.ShiftID = 2
    FROM HumanResources.EmployeeDepartmentHistory AS hredh WITH (NOLOCK)
    WHERE hredh.BusinessEntityID = 215;

    --Check the nature of the locks applied
    SELECT sdtl.request_type,
           sdtl.request_status,
           sdtl.request_mode,
           sdtl.resource_type,
           DB_NAME(sdtl.resource_database_id) AS DatabaseName
    FROM sys.dm_tran_locks AS sdtl;
ROLLBACK TRANSACTION UpdateWithNolock
GO
